CobolInteraction (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.cci.CobolInteraction class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.cci
Class CobolInteraction

    java.lang.Object
      com.microfocus.cobol.connector.cci.CobolInteraction

All Implemented Interfaces:
  Interaction

public class CobolInteraction
extends Object
implements Interaction

This implementation class enables a component to execute Cobol Server functions.

Field Summary
`protected Connection` | `connection`
`protected com.microfocus.cobol.connector.logging.RALogger` | `log`

Constructor Summary
`CobolInteraction(Connection con)` Constrcut a Cobol Interaction instance

Method Summary
`void` | `clearWarnings()` Clear all warnings with the Cobol Server.
`void` | `close()` close the interaction.
`Record` | `execute(InteractionSpec iSpec, Record input)` Execute a Cobol Server function specified in the interaction spec.
`boolean` | `execute(InteractionSpec iSpec, Record input, Record output)` Execute a Cobol Server function specified in the interaction spec.
`Connection` | `getConnection()` Get the CobolConnection handle associated with this Cobol Interaction instance.
`ResourceWarning` | `getWarnings()` Get Warnings from the Cobol Server
`protected void` | `prepareFromCobCall(com.microfocus.cobol.lang.ParameterList outputList, Record out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connection

    protected Connection connection

### log

    protected transient com.microfocus.cobol.connector.logging.RALogger log

Constructor Detail

### CobolInteraction

    public CobolInteraction(Connection con)

  Constrcut a Cobol Interaction instance

Parameters:
  `con` - The CobolConnection handle
See Also:
  `CobolConnection`

Method Detail

### getConnection

    public Connection getConnection()

  Get the CobolConnection handle associated with this Cobol Interaction instance.

  Specified by:
    `getConnection` in interface `Interaction`
  Returns:
    CobolConnection handle.

### close

    public void close()
               throws ResourceException

  close the interaction.

  Specified by:
    `close` in interface `Interaction`
  Throws:
    `ResourceException`

### execute

    public Record execute(InteractionSpec iSpec,
                          Record input)
                   throws ResourceException

  Execute a Cobol Server function specified in the interaction spec.

  Specified by:
    `execute` in interface `Interaction`
  Parameters:
    `iSpec` - The CobolInteractionSpec
    `input` - The input record to the interaction
  Returns:
    The output Record
  Throws:
    `ResourceException`

### execute

    public boolean execute(InteractionSpec iSpec,
                           Record input,
                           Record output)
                    throws ResourceException

  Execute a Cobol Server function specified in the interaction spec.

  Specified by:
    `execute` in interface `Interaction`
  Parameters:
    `iSpec` - The InteractionSpec
    `input` - The input record for the interaction
    `output` - The output recod for the interaction
  Returns:
    true if output is non null. flase otherwise
  Throws:
    `ResourceException`

### getWarnings

    public ResourceWarning getWarnings()
                                throws ResourceException

  Get Warnings from the Cobol Server

  Specified by:
    `getWarnings` in interface `Interaction`
  Returns:
    Resource Warning.
  Throws:
    `ResourceException`

### clearWarnings

    public void clearWarnings()
                       throws ResourceException

  Clear all warnings with the Cobol Server.

  Specified by:
    `clearWarnings` in interface `Interaction`
  Throws:
    `ResourceException`

### prepareFromCobCall

    protected void prepareFromCobCall(com.microfocus.cobol.lang.ParameterList outputList,
                                      Record out)
                               throws ResourceException

  Throws:
    `ResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.